C3W1 model evaluation failed: environment conflict again

Still see environment conflict caused evaluation job to fail in C3W1. Can someone fix the lab by updating the evaluate_model_metrics.py ? It wastes me a lot of time to run this job many times.

This seems to be the cause:
“==> WARNING: A newer version of conda exists. <== current version: 4.13.0 latest version: 22.11.0
Please update conda by running $ conda update -n base -c defaults conda”

I’m attaching the error log below:

log-events-viewer-result.csv (97.3 KB)

Hi @PDS_Mentors,

Can one of you answer here ?

Thanks,
Mubsi

I am having the same issues. Similar issues about environment conflict were raised raised in C2W1 with same session of code in prepare_data.py

670880420928,Found conflicts! Looking for incompatible packages.
1670880420928,This can take several minutes.  Press CTRL-C to abort.
1670881036069,UnsatisfiableError: The following specifications were found
1670881036069,to be incompatible with the existing python installation in your environment:
1670881036070,"Specifications:
2022-12-12T23:37:17.091+02:00

Copy
Traceback (most recent call last):
  File "/opt/ml/processing/input/code/evaluate_model_metrics.py", line 11, in <module>
    subprocess.check_call([sys.executable, '-m', 'conda', 'install', '-c', 'pytorch', 'pytorch==1.6.0', '-y'])
  File "/miniconda3/lib/python3.7/subprocess.py", line 363, in check_call
    raise CalledProcessError(retcode, cmd)
Traceback (most recent call last): File "/opt/ml/processing/input/code/evaluate_model_metrics.py", line 11, in <module> subprocess.check_call([sys.executable, '-m', 'conda', 'install', '-c', 'pytorch', 'pytorch==1.6.0', '-y']) File "/miniconda3/lib/python3.7/subprocess.py", line 363, in check_call raise CalledProcessError(retcode, cmd)

2022-12-12T23:37:17.091+02:00

Copy
subprocess.CalledProcessError: Command '['/miniconda3/bin/python3', '-m', 'conda', 'install', '-c', 'pytorch', 'pytorch==1.6.0', '-y']' returned non-zero exit status 1.
subprocess.CalledProcessError: Command '['/miniconda3/bin/python3', '-m', 'conda', 'install', '-c', 'pytorch', 'pytorch==1.6.0', '-y']' returned non-zero exit status 1.

Can this packaging conflict be resolved as it is delaying the completion of modules.

Hello, Any feedback with regards to this issue?

I found a solution to this error. Comment out the conda version of the package installations below in the prepare_data.py and evaluation_model_metrics.py. Use pip instead.

# subprocess.check_call([sys.executable, "-m", "conda", "install", "-c", "pytorch", "pytorch==1.6.0", "-y"])
subprocess.check_call([sys.executable, "-m", "pip", "install", "torch==1.6.0"])
# subprocess.check_call([sys.executable, "-m", "conda", "install", "-c", "conda-forge", "transformers==3.5.1", "-y"])
subprocess.check_call([sys.executable, "-m", "pip", "install", "transformers==3.5.1"])
1 Like
  1. Faced the same issue and resolved it using pip. Thank you for posting the fix.

  2. C1 | W1 | Exercise 1: The data channels setup score was 0/15. I did set up the Data channels dictionary correctly. Looks like a grading error.

1 Like